<?php

namespace App\Domain\Manga\Domain\Model\ValueObject;

readonly class MonitoringStatus
{
    public function __construct(
        private bool $enabled
    ) {
    }

    public static function enabled(): self
    {
        return new self(true);
    }

    public static function disabled(): self
    {
        return new self(false);
    }

    public function isEnabled(): bool
    {
        return $this->enabled;
    }

    public function equals(self $other): bool
    {
        return $this->enabled === $other->enabled;
    }
}
